- include_role:
    name: commons
    tasks_from: helpers/resolve-component.yaml
  vars:
    obj_apivers: wopla.io/v1beta1
    obj_kind: EtherPad
- name: Sets EtherPad CR Facts
  set_fact:
    etherpad_name: "{{ ('etherpad-' ~ found_cr.resources[0].metadata.name)
                         if (found_cr is defined
                             and found_cr.resources is defined
                             and found_cr.resources | length > 0)
                         else False }}"
    etherpad_namespace: "{{ found_cr.resources[0].metadata.namespace
                              if (found_cr is defined
                                  and found_cr.resources is defined
                                  and found_cr.resources | length > 0)
                              else False }}"
- name: Sets EtherPad Facts
  set_fact:
    etherpad_api_address: "{{ found_cr.resources[0].status.internal }}"
    etherpad_api_public: "{{ found_cr.resources[0].status.public }}"
  when:
  - found_cr.resources is defined
  - found_cr.resources | length > 0
  - found_cr.resources[0].status is defined
  - found_cr.resources[0].status.ready is defined
